<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "locations".
 *
 * @property integer $id
 * @property string $officeName
 * @property string $address
 */
class Locations extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'locations';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['officeName', 'address' ,'mapLink'], 'required'],
            [['address'], 'string'],
            [['officeName'], 'string', 'max' => 255],
			[['mapLink'], 'string', 'max' => 1000]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'officeName' => 'Office Name',
            'address' => 'Address',
			'mapLink' => 'Map Link',
        ];
    }
}
